# Generated by Django 2.2.24 on 2021-09-18 22:55

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AuthGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150, unique=True)),
            ],
            options={
                'db_table': 'auth_group',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthGroupPermissions',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'db_table': 'auth_group_permissions',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthPermission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('codename', models.CharField(max_length=100)),
            ],
            options={
                'db_table': 'auth_permission',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128)),
                ('last_login', models.DateTimeField(blank=True, null=True)),
                ('is_superuser', models.BooleanField()),
                ('username', models.CharField(max_length=150, unique=True)),
                ('first_name', models.CharField(max_length=30)),
                ('last_name', models.CharField(max_length=150)),
                ('email', models.CharField(max_length=254)),
                ('is_staff', models.BooleanField()),
                ('is_active', models.BooleanField()),
                ('date_joined', models.DateTimeField()),
            ],
            options={
                'db_table': 'auth_user',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthUserGroups',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'db_table': 'auth_user_groups',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='AuthUserUserPermissions',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'db_table': 'auth_user_user_permissions',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoAdminLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('action_time', models.DateTimeField()),
                ('object_id', models.TextField(blank=True, null=True)),
                ('object_repr', models.CharField(max_length=200)),
                ('action_flag', models.SmallIntegerField()),
                ('change_message', models.TextField()),
            ],
            options={
                'db_table': 'django_admin_log',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoContentType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('app_label', models.CharField(max_length=100)),
                ('model', models.CharField(max_length=100)),
            ],
            options={
                'db_table': 'django_content_type',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoMigrations',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('app', models.CharField(max_length=255)),
                ('name', models.CharField(max_length=255)),
                ('applied', models.DateTimeField()),
            ],
            options={
                'db_table': 'django_migrations',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='DjangoSession',
            fields=[
                ('session_key', models.CharField(max_length=40, primary_key=True, serialize=False)),
                ('session_data', models.TextField()),
                ('expire_date', models.DateTimeField()),
            ],
            options={
                'db_table': 'django_session',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Bancas',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('aluno', models.TextField()),
                ('ano', models.IntegerField()),
                ('curso', models.TextField(blank=True, null=True)),
                ('doi', models.TextField(blank=True, null=True)),
                ('idioma', models.TextField(blank=True, null=True)),
                ('instituicao', models.TextField(blank=True, null=True)),
                ('pais', models.TextField(blank=True, null=True)),
                ('tipo_pesquisa', models.TextField(blank=True, null=True)),
                ('titulo', models.TextField()),
            ],
            options={
                'db_table': 'bancas',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='ParserInfo',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('data_atualizacao', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'db_table': 'parser_info',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Participacao',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('ano', models.IntegerField()),
                ('doi', models.TextField(blank=True, null=True)),
                ('flag', models.TextField(blank=True, null=True)),
                ('idioma', models.TextField(blank=True, null=True)),
                ('meio', models.TextField(blank=True, null=True)),
                ('natureza', models.TextField(blank=True, null=True)),
                ('nome_ev', models.TextField()),
                ('nome_inst', models.TextField(blank=True, null=True)),
                ('pais', models.TextField(blank=True, null=True)),
                ('tipo', models.TextField()),
            ],
            options={
                'db_table': 'participacao',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Pessoa',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('id_lattes', models.BigIntegerField(unique=True)),
                ('cidade', models.TextField(blank=True, null=True)),
                ('contato', models.TextField(blank=True, null=True)),
                ('departamento', models.TextField()),
                ('estado', models.TextField(blank=True, null=True)),
                ('nacionalidade', models.TextField(blank=True, null=True)),
                ('nome_completo', models.TextField()),
                ('nome_citacao', models.TextField()),
                ('resumo', models.TextField(blank=True, null=True)),
            ],
            options={
                'db_table': 'pessoa',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='ProducaoArtistica',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('ano', models.IntegerField()),
                ('doi', models.TextField(blank=True, null=True)),
                ('estado', models.TextField(blank=True, null=True)),
                ('exposicao', models.TextField(blank=True, null=True)),
                ('flag', models.TextField(blank=True, null=True)),
                ('idioma', models.TextField(blank=True, null=True)),
                ('meio', models.TextField(blank=True, null=True)),
                ('natureza', models.TextField(blank=True, null=True)),
                ('nomes_autores', models.TextField(blank=True, null=True)),
                ('pais', models.TextField(blank=True, null=True)),
                ('premiacao', models.TextField(blank=True, null=True)),
                ('tipo', models.TextField()),
                ('titulo', models.TextField()),
            ],
            options={
                'db_table': 'producao_artistica',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='ProducaoBibliografica',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('ano', models.IntegerField()),
                ('doi', models.TextField(blank=True, null=True)),
                ('edicao', models.TextField(blank=True, null=True)),
                ('editora', models.TextField(blank=True, null=True)),
                ('estado', models.TextField(blank=True, null=True)),
                ('flag', models.TextField(blank=True, null=True)),
                ('idioma', models.TextField(blank=True, null=True)),
                ('isbn', models.TextField(blank=True, null=True)),
                ('meio', models.TextField(blank=True, null=True)),
                ('natureza', models.TextField(blank=True, null=True)),
                ('nomes_autores', models.TextField(blank=True, null=True)),
                ('pais', models.TextField(blank=True, null=True)),
                ('publicacao', models.TextField(blank=True, null=True)),
                ('tipo', models.TextField()),
                ('titulo', models.TextField()),
                ('volume', models.TextField(blank=True, null=True)),
            ],
            options={
                'db_table': 'producao_bibliografica',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='ProducaoTecnica',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('ano', models.IntegerField()),
                ('estado', models.TextField(blank=True, null=True)),
                ('finalidade', models.TextField(blank=True, null=True)),
                ('flag', models.TextField(blank=True, null=True)),
                ('idioma', models.TextField(blank=True, null=True)),
                ('meio', models.TextField(blank=True, null=True)),
                ('natureza', models.TextField(blank=True, null=True)),
                ('nomes_autores', models.TextField(blank=True, null=True)),
                ('pags', models.TextField(blank=True, null=True)),
                ('pais', models.TextField(blank=True, null=True)),
                ('tipo', models.TextField()),
                ('titulo', models.TextField()),
            ],
            options={
                'db_table': 'producao_tecnica',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='RelPessoaProdTec',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('pessoa', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='models.Pessoa', to_field='id_lattes')),
                ('producao', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='models.ProducaoTecnica')),
            ],
            options={
                'db_table': 'rel_pessoa_prod_tec',
                'managed': True,
                'unique_together': {('pessoa', 'producao')},
            },
        ),
        migrations.CreateModel(
            name='RelPessoaProdBib',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('pessoa', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='models.Pessoa', to_field='id_lattes')),
                ('producao', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='models.ProducaoBibliografica')),
            ],
            options={
                'db_table': 'rel_pessoa_prod_bib',
                'managed': True,
                'unique_together': {('pessoa', 'producao')},
            },
        ),
        migrations.CreateModel(
            name='RelPessoaProdArt',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('pessoa', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='models.Pessoa', to_field='id_lattes')),
                ('producao', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='models.ProducaoArtistica')),
            ],
            options={
                'db_table': 'rel_pessoa_prod_art',
                'managed': True,
                'unique_together': {('pessoa', 'producao')},
            },
        ),
        migrations.CreateModel(
            name='RelPessoaPart',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('forma', models.TextField(blank=True, null=True)),
                ('tipo', models.TextField(blank=True, null=True)),
                ('titulo', models.TextField()),
                ('participacao', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='models.Participacao')),
                ('pessoa', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='models.Pessoa', to_field='id_lattes')),
            ],
            options={
                'db_table': 'rel_pessoa_participacao',
                'managed': True,
                'unique_together': {('pessoa', 'participacao', 'titulo')},
            },
        ),
        migrations.CreateModel(
            name='RelPessoaBancas',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('bancas', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='models.Bancas')),
                ('pessoa', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='models.Pessoa', to_field='id_lattes')),
            ],
            options={
                'db_table': 'rel_pessoa_bancas',
                'managed': True,
                'unique_together': {('pessoa', 'bancas')},
            },
        ),
        migrations.AddField(
            model_name='producaotecnica',
            name='autores',
            field=models.ManyToManyField(related_name='autores_tecnica', through='models.RelPessoaProdTec', to='models.Pessoa'),
        ),
        migrations.AddField(
            model_name='producaobibliografica',
            name='autores',
            field=models.ManyToManyField(related_name='autores_bibliografica', through='models.RelPessoaProdBib', to='models.Pessoa'),
        ),
        migrations.AddField(
            model_name='producaoartistica',
            name='autores',
            field=models.ManyToManyField(related_name='autores_artistica', through='models.RelPessoaProdArt', to='models.Pessoa'),
        ),
        migrations.AddField(
            model_name='pessoa',
            name='aparicoes_bancas',
            field=models.ManyToManyField(related_name='aparicoes_bancas', through='models.RelPessoaBancas', to='models.Bancas'),
        ),
        migrations.AddField(
            model_name='pessoa',
            name='participacoes',
            field=models.ManyToManyField(related_name='participacoes', through='models.RelPessoaPart', to='models.Participacao'),
        ),
        migrations.AddField(
            model_name='pessoa',
            name='producoes_artisticas',
            field=models.ManyToManyField(related_name='producoes_artisticas', through='models.RelPessoaProdArt', to='models.ProducaoArtistica'),
        ),
        migrations.AddField(
            model_name='pessoa',
            name='producoes_bibliograficas',
            field=models.ManyToManyField(related_name='producoes_bibliograficas', through='models.RelPessoaProdBib', to='models.ProducaoBibliografica'),
        ),
        migrations.AddField(
            model_name='pessoa',
            name='producoes_tecnicas',
            field=models.ManyToManyField(related_name='producoes_tecnica', through='models.RelPessoaProdTec', to='models.ProducaoTecnica'),
        ),
        migrations.AddField(
            model_name='participacao',
            name='autores',
            field=models.ManyToManyField(related_name='autores_participacao', through='models.RelPessoaPart', to='models.Pessoa'),
        ),
        migrations.AddField(
            model_name='bancas',
            name='participantes',
            field=models.ManyToManyField(related_name='bancas', through='models.RelPessoaBancas', to='models.Pessoa'),
        ),
        migrations.AlterUniqueTogether(
            name='producaotecnica',
            unique_together={('tipo', 'titulo', 'ano')},
        ),
        migrations.AlterUniqueTogether(
            name='producaobibliografica',
            unique_together={('tipo', 'titulo', 'ano')},
        ),
        migrations.AlterUniqueTogether(
            name='producaoartistica',
            unique_together={('tipo', 'titulo', 'ano')},
        ),
        migrations.CreateModel(
            name='PremiosTitulos',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('ano', models.IntegerField()),
                ('entidade', models.TextField(blank=True, null=True)),
                ('nome', models.TextField()),
                ('pessoa', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='models.Pessoa', to_field='id_lattes')),
            ],
            options={
                'db_table': 'premios_titulos',
                'managed': True,
                'unique_together': {('nome', 'ano')},
            },
        ),
        migrations.AlterUniqueTogether(
            name='participacao',
            unique_together={('tipo', 'nome_ev', 'ano')},
        ),
        migrations.CreateModel(
            name='Orientacao',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('agencia_fomento', models.TextField(blank=True, null=True)),
                ('aluno', models.TextField()),
                ('ano', models.IntegerField()),
                ('curso', models.TextField(blank=True, null=True)),
                ('doi', models.TextField(blank=True, null=True)),
                ('flag', models.TextField(blank=True, null=True)),
                ('idioma', models.TextField(blank=True, null=True)),
                ('instituicao', models.TextField(blank=True, null=True)),
                ('natureza', models.TextField(blank=True, null=True)),
                ('pais', models.TextField(blank=True, null=True)),
                ('tipo_orientacao', models.TextField(blank=True, null=True)),
                ('tipo_pesquisa', models.TextField(blank=True, null=True)),
                ('titulo', models.TextField()),
                ('pessoa', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='models.Pessoa', to_field='id_lattes')),
            ],
            options={
                'db_table': 'orientacao',
                'managed': True,
                'unique_together': {('pessoa', 'aluno', 'titulo', 'ano')},
            },
        ),
        migrations.CreateModel(
            name='Colaboradores',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('colaborador1_id', models.ForeignKey(db_column='colaborador1_id', on_delete=django.db.models.deletion.DO_NOTHING, related_name='da_pessoa', to='models.Pessoa', to_field='id_lattes')),
                ('colaborador2_id', models.ForeignKey(db_column='colaborador2_id', on_delete=django.db.models.deletion.DO_NOTHING, related_name='para_pessoa', to='models.Pessoa', to_field='id_lattes')),
            ],
            options={
                'db_table': 'colaboradores',
                'managed': True,
                'unique_together': {('colaborador1_id', 'colaborador2_id')},
            },
        ),
        migrations.AlterUniqueTogether(
            name='bancas',
            unique_together={('aluno', 'ano', 'titulo')},
        ),
    ]
